diff --git a/server/src/test/java/org/elasticsearch/index/mapper/DynamicMappingIT.java b/server/src/test/java/org/elasticsearch/index/mapper/DynamicMappingIT.java
index 5655d741a9dd2..5ec63681fe690 100644
--- a/server/src/test/java/org/elasticsearch/index/mapper/DynamicMappingIT.java
+++ b/server/src/test/java/org/elasticsearch/index/mapper/DynamicMappingIT.java
@@ -41,6 +41,7 @@
         return Collections.singleton(InternalSettingsPlugin.class);
     }
 
+    @AwaitsFix(bugUrl = "https://github.com/elastic/elasticsearch/issues/37898")
     public void testConflictingDynamicMappings() {
         // we don't use indexRandom because the order of requests is important here
         createIndex("index");
